Межсайтовый скриптинг в ScareCrow

Дата публикации:
22.12.2005
Дата изменения:
17.10.2006
Всего просмотров:
1998
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
ScareCrow 2.x
Уязвимые версии: ScareCrow 2.13 и более ранние версии

Описание:
Удаленный пользователь может произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "forum" в сценариях "forum.cgi" и "post.cgi" и в параметре "user" сценария "profile.cgi". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный HTML код в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

/forum.cgi?forum=[XSS]
/profile.cgi?action=view&user=[XSS]
/post.cgi?action=new&forum=[XSS]

URL производителя: scarecrow.sourceforge.net

Решение: Способов устранения уязвимости не существует в настоящее время.

Источник:

Ссылки: ScareCrow Message Board XSS vuln.

или введите имя

CAPTCHA